SalesOS.

Payments

Payment processing and billing

Public Payments Controller_validate Coupon

POST
/v1/payments/public/coupons/validate

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/payments/public/coupons/validate" \
  -H "Content-Type: application/json" \
  -d '{}'

Payments Controller_create Checkout Session

POST
/v1/payments/checkout

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/payments/checkout" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Payments Controller_get Billing Customer

GET
/v1/payments/billing/customer

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/payments/billing/customer" \
  -H "Authorization: Bearer <token>"

Payments Controller_update Billing Customer

PUT
/v1/payments/billing/customer

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PUT "https://api.salesos.org/v1/payments/billing/customer" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Payments Controller_create Customer Portal Session

POST
/v1/payments/billing/portal

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/payments/billing/portal" \
  -H "Authorization: Bearer <token>"

Payments Controller_get Subscriptions

GET
/v1/payments/subscriptions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/payments/subscriptions" \
  -H "Authorization: Bearer <token>"

Payments Controller_get Subscription

GET
/v1/payments/subscriptions/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/payments/subscriptions/<string>" \
  -H "Authorization: Bearer <token>"

Payments Controller_cancel Subscription

POST
/v1/payments/subscriptions/{id}/cancel

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/payments/subscriptions/<string>/cancel" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Payments Controller_resume Subscription

POST
/v1/payments/subscriptions/{id}/resume

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/payments/subscriptions/<string>/resume" \
  -H "Authorization: Bearer <token>"

Payments Controller_change Subscription Plan

POST
/v1/payments/subscriptions/{id}/change-plan

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/payments/subscriptions/<string>/change-plan" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Payments Controller_preview Subscription Change

GET
/v1/payments/subscriptions/{id}/upgrade-preview

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Query Parameters

newLicenseTypeIdRequiredstring
billingCycleRequiredstring
curl -X GET "https://api.salesos.org/v1/payments/subscriptions/<string>/upgrade-preview?newLicenseTypeId=%3Cstring%3E&billingCycle=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Payments Controller_get Invoices

GET
/v1/payments/invoices

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/payments/invoices" \
  -H "Authorization: Bearer <token>"

Payments Controller_get Invoice

GET
/v1/payments/invoices/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/payments/invoices/<string>" \
  -H "Authorization: Bearer <token>"

Payments Controller_download Invoice Pdf

GET
/v1/payments/invoices/{id}/pdf

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/payments/invoices/<string>/pdf" \
  -H "Authorization: Bearer <token>"

Payments Controller_get Payment Methods

GET
/v1/payments/payment-methods

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/payments/payment-methods" \
  -H "Authorization: Bearer <token>"

Payments Controller_add Payment Method

POST
/v1/payments/payment-methods

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/payments/payment-methods" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Payments Controller_remove Payment Method

DELETE
/v1/payments/payment-methods/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/payments/payment-methods/<string>" \
  -H "Authorization: Bearer <token>"

Payments Controller_set Default Payment Method

PUT
/v1/payments/payment-methods/{id}/default

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PUT "https://api.salesos.org/v1/payments/payment-methods/<string>/default" \
  -H "Authorization: Bearer <token>"

Payments Controller_validate Coupon

POST
/v1/payments/coupons/validate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/payments/coupons/validate" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'